
Foreman - Bug #2078

Classes parameters applied from one class to another

12/30/2012 08:46 PM - Alejandro Falcon

Status: Closed   

Priority: High   

Assignee: Ohad Levy   

Category: External Nodes   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

OS: Centos 6.3

Puppet version: 2.6.17 from Epel repo

Puppet modules: Example42 modules (https://github.com/example42)

Foreman version: 1.1 RC3 from rpm upgraded from 1.0.1 while keeping existing Mysql DB.

Steps to reproduce:

Create a host, add proftpd and openssh classes to it. Add template parameter to each class pointing to two different configuration

files(just use services conf files). The conf from proftpd will be applied to openssh.

Associated revisions

Revision fce6aba7 - 12/31/2012 03:15 PM - Ohad Levy

fixes #2078 - Classes parameters value leak fix

History

#1 - 12/31/2012 03:07 PM - Ohad Levy

- Category set to External Nodes

- Assignee set to Ohad Levy

- Priority changed from Normal to High

- Target version set to 1.1

OK, I was able to reproduce, a quick fix is on the way - many thanks for reporting this!

#2 - 12/31/2012 03:29 PM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset fce6aba7b2f4361cd654e39455b91843badc2228.
